package com.mortals.xhx.module.scheduled.model;

import java.util.List;
import com.mortals.xhx.module.scheduled.model.ScheduledTaskDetailEntity;
/**
* 数据定时查探详情查询对象
*
* @author zxfei
* @date 2023-07-15
*/
public class ScheduledTaskDetailQuery extends ScheduledTaskDetailEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 任务主键 */
    private Long taskIdStart;

    /** 结束 任务主键 */
    private Long taskIdEnd;

    /** 增加 任务主键 */
    private Long taskIdIncrement;

    /** 任务主键列表 */
    private List <Long> taskIdList;

    /** 任务主键排除列表 */
    private List <Long> taskIdNotList;

    /** 开始时间 */
    private List<String> startTimeList;

    /** 开始时间排除列表 */
    private List <String> startTimeNotList;
    /** 结束时间 */
    private List<String> endTimeList;

    /** 结束时间排除列表 */
    private List <String> endTimeNotList;
    /** 开始 数据量 */
    private Integer numberStart;

    /** 结束 数据量 */
    private Integer numberEnd;

    /** 增加 数据量 */
    private Integer numberIncrement;

    /** 数据量列表 */
    private List <Integer> numberList;

    /** 数据量排除列表 */
    private List <Integer> numberNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ScheduledTaskDetailQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ScheduledTaskDetailQuery> andConditionList;

    public ScheduledTaskDetailQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 任务主键
    * @return taskIdStart
    */
    public Long getTaskIdStart(){
        return this.taskIdStart;
    }

    /**
    * 设置 开始 任务主键
    * @param taskIdStart
    */
    public void setTaskIdStart(Long taskIdStart){
        this.taskIdStart = taskIdStart;
    }

    /**
    * 获取 结束 任务主键
    * @return $taskIdEnd
    */
    public Long getTaskIdEnd(){
        return this.taskIdEnd;
    }

    /**
    * 设置 结束 任务主键
    * @param taskIdEnd
    */
    public void setTaskIdEnd(Long taskIdEnd){
        this.taskIdEnd = taskIdEnd;
    }

    /**
    * 获取 增加 任务主键
    * @return taskIdIncrement
    */
    public Long getTaskIdIncrement(){
        return this.taskIdIncrement;
    }

    /**
    * 设置 增加 任务主键
    * @param taskIdIncrement
    */
    public void setTaskIdIncrement(Long taskIdIncrement){
        this.taskIdIncrement = taskIdIncrement;
    }

    /**
    * 获取 任务主键
    * @return taskIdList
    */
    public List<Long> getTaskIdList(){
        return this.taskIdList;
    }

    /**
    * 设置 任务主键
    * @param taskIdList
    */
    public void setTaskIdList(List<Long> taskIdList){
        this.taskIdList = taskIdList;
    }

    /**
    * 获取 任务主键
    * @return taskIdNotList
    */
    public List<Long> getTaskIdNotList(){
        return this.taskIdNotList;
    }

    /**
    * 设置 任务主键
    * @param taskIdNotList
    */
    public void setTaskIdNotList(List<Long> taskIdNotList){
        this.taskIdNotList = taskIdNotList;
    }


    /**
    * 获取 开始时间
    * @return startTimeList
    */
    public List<String> getStartTimeList(){
        return this.startTimeList;
    }

    /**
    * 设置 开始时间
    * @param startTimeList
    */
    public void setStartTimeList(List<String> startTimeList){
        this.startTimeList = startTimeList;
    }

    /**
    * 获取 开始时间
    * @return startTimeNotList
    */
    public List<String> getStartTimeNotList(){
        return this.startTimeNotList;
    }

    /**
    * 设置 开始时间
    * @param startTimeNotList
    */
    public void setStartTimeNotList(List<String> startTimeNotList){
        this.startTimeNotList = startTimeNotList;
    }

    /**
    * 获取 结束时间
    * @return endTimeList
    */
    public List<String> getEndTimeList(){
        return this.endTimeList;
    }

    /**
    * 设置 结束时间
    * @param endTimeList
    */
    public void setEndTimeList(List<String> endTimeList){
        this.endTimeList = endTimeList;
    }

    /**
    * 获取 结束时间
    * @return endTimeNotList
    */
    public List<String> getEndTimeNotList(){
        return this.endTimeNotList;
    }

    /**
    * 设置 结束时间
    * @param endTimeNotList
    */
    public void setEndTimeNotList(List<String> endTimeNotList){
        this.endTimeNotList = endTimeNotList;
    }

    /**
    * 获取 开始 数据量
    * @return numberStart
    */
    public Integer getNumberStart(){
        return this.numberStart;
    }

    /**
    * 设置 开始 数据量
    * @param numberStart
    */
    public void setNumberStart(Integer numberStart){
        this.numberStart = numberStart;
    }

    /**
    * 获取 结束 数据量
    * @return $numberEnd
    */
    public Integer getNumberEnd(){
        return this.numberEnd;
    }

    /**
    * 设置 结束 数据量
    * @param numberEnd
    */
    public void setNumberEnd(Integer numberEnd){
        this.numberEnd = numberEnd;
    }

    /**
    * 获取 增加 数据量
    * @return numberIncrement
    */
    public Integer getNumberIncrement(){
        return this.numberIncrement;
    }

    /**
    * 设置 增加 数据量
    * @param numberIncrement
    */
    public void setNumberIncrement(Integer numberIncrement){
        this.numberIncrement = numberIncrement;
    }

    /**
    * 获取 数据量
    * @return numberList
    */
    public List<Integer> getNumberList(){
        return this.numberList;
    }

    /**
    * 设置 数据量
    * @param numberList
    */
    public void setNumberList(List<Integer> numberList){
        this.numberList = numberList;
    }

    /**
    * 获取 数据量
    * @return numberNotList
    */
    public List<Integer> getNumberNotList(){
        return this.numberNotList;
    }

    /**
    * 设置 数据量
    * @param numberNotList
    */
    public void setNumberNotList(List<Integer> numberNotList){
        this.numberNotList = numberNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public ScheduledTaskDetailQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public ScheduledTaskDetailQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public ScheduledTaskDetailQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public ScheduledTaskDetailQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public ScheduledTaskDetailQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public ScheduledTaskDetailQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  任务主键
    * @param taskId
    */
    public ScheduledTaskDetailQuery taskId(Long taskId){
	    setTaskId(taskId);
		return this;
    }
	
	 /**
    * 设置 开始 任务主键
    * @param taskIdStart
    */
    public ScheduledTaskDetailQuery taskIdStart(Long taskIdStart){
		this.taskIdStart = taskIdStart;
		return this;
    }

    /**
    * 设置 结束 任务主键
    * @param taskIdEnd
    */
    public ScheduledTaskDetailQuery taskIdEnd(Long taskIdEnd){
		this.taskIdEnd = taskIdEnd;
		return this;
    }

    /**
    * 设置 增加 任务主键
    * @param taskIdIncrement
    */
    public ScheduledTaskDetailQuery taskIdIncrement(Long taskIdIncrement){
		this.taskIdIncrement = taskIdIncrement;
		return this;
    }

    /**
    * 设置 任务主键
    * @param taskIdList
    */
    public ScheduledTaskDetailQuery taskIdList(List<Long> taskIdList){
        this.taskIdList = taskIdList;
		return this;
        }

        /**
        * 设置 任务主键
        * @param taskIdNotList
        */
        public ScheduledTaskDetailQuery taskIdNotList(List<Long> taskIdNotList){
        this.taskIdNotList = taskIdNotList;
        return this;
        }


	/**
    * 设置 开始时间
    * @param startTime
    */
    public ScheduledTaskDetailQuery startTime(String startTime){
        setStartTime(startTime);
		return this;
    }

    /**
    * 设置 开始时间
    * @param startTimeList
    */
    public ScheduledTaskDetailQuery startTimeList(List<String> startTimeList){
        this.startTimeList = startTimeList;
		return this;
    }


	/**
    * 设置 结束时间
    * @param endTime
    */
    public ScheduledTaskDetailQuery endTime(String endTime){
        setEndTime(endTime);
		return this;
    }

    /**
    * 设置 结束时间
    * @param endTimeList
    */
    public ScheduledTaskDetailQuery endTimeList(List<String> endTimeList){
        this.endTimeList = endTimeList;
		return this;
    }

    /**
    * 设置  数据量
    * @param number
    */
    public ScheduledTaskDetailQuery number(Integer number){
	    setNumber(number);
		return this;
    }
	
	 /**
    * 设置 开始 数据量
    * @param numberStart
    */
    public ScheduledTaskDetailQuery numberStart(Integer numberStart){
		this.numberStart = numberStart;
		return this;
    }

    /**
    * 设置 结束 数据量
    * @param numberEnd
    */
    public ScheduledTaskDetailQuery numberEnd(Integer numberEnd){
		this.numberEnd = numberEnd;
		return this;
    }

    /**
    * 设置 增加 数据量
    * @param numberIncrement
    */
    public ScheduledTaskDetailQuery numberIncrement(Integer numberIncrement){
		this.numberIncrement = numberIncrement;
		return this;
    }

    /**
    * 设置 数据量
    * @param numberList
    */
    public ScheduledTaskDetailQuery numberList(List<Integer> numberList){
        this.numberList = numberList;
		return this;
        }

        /**
        * 设置 数据量
        * @param numberNotList
        */
        public ScheduledTaskDetailQuery numberNotList(List<Integer> numberNotList){
        this.numberNotList = numberNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public ScheduledTaskDetailQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public ScheduledTaskDetailQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public ScheduledTaskDetailQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public ScheduledTaskDetailQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public ScheduledTaskDetailQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public ScheduledTaskDetailQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public ScheduledTaskDetailQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public ScheduledTaskDetailQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public ScheduledTaskDetailQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public ScheduledTaskDetailQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public ScheduledTaskDetailQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public ScheduledTaskDetailQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public ScheduledTaskDetailQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public ScheduledTaskDetailQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ScheduledTaskDetailQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ScheduledTaskDetailQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ScheduledTaskDetailQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ScheduledTaskDetailQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}